package com.ss.android.ugc.aweme.legoImpl.task;

import X.2kf;
import X.2nK;
import X.C22428Zd;
import X.C22438Ze;
import X.C25518ec;
import X.C403195y;
import X.C42869Ft;
import X.C42909Fx;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.common.MobClick;
import java.util.List;

public class MobLaunchEventTask implements C22438Ze {
    public boolean LIZ;
    public long LIZIZ;

    static {
        Covode.recordClassIndex(90841);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1048575;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public C25518ec type() {
        return C25518ec.BACKGROUND;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public void run(Context context) {
        String str;
        2kf.LIZ("MobLaunchEventTask");
        String str2 = "first_launch_time";
        if (this.LIZ) {
            str = str2;
        } else {
            str = "launch_time";
        }
        C403195y.LIZ("aweme_app_performance", str, (float) this.LIZIZ);
        MobClick obtain = MobClick.obtain();
        if (!this.LIZ) {
            str2 = "launch_time";
        }
        obtain.setEventName(str2);
        obtain.setLabelName("perf_monitor");
        obtain.setExtValueLong(this.LIZIZ);
        2nK.onEvent(obtain);
    }

    public MobLaunchEventTask(boolean z, long j) {
        this.LIZ = z;
        this.LIZIZ = j;
    }
}
